﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DHLMAS]') AND name = N'Key1')
BEGIN 
PRINT 'Creating index Key1 on table DHLMAS'
CREATE UNIQUE NONCLUSTERED INDEX [Key1] ON [dbo].[DHLMAS] 
(
	[DESCR] ASC,
	[RNAM] ASC,
	[DATE1] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DHLMAS]') AND name = N'key2')
BEGIN 
PRINT 'Creating index key2 on table DHLMAS'
CREATE UNIQUE NONCLUSTERED INDEX [key2] ON [dbo].[DHLMAS] 
(
	[RNAM] ASC,
	[DESCR] ASC,
	[DATE1] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

